Genetic algorithm solving TSP with various settings

- Main Page
- Classes

- Class List
- Class Index
- Class Members

Static Public Member Functions | List of all members
Populate Class Reference

Trida ktera obsluhuje chod genetickeho algoritmu. More...

## Static Public Member Functions
static void | populateTSP (int selectionType, int crossoverType, int mutationType, double mutationRate, int numOfGenerations, int numOfChromozomes, CityLoader cityLoader, TspParser tspParser, int tournamentSize, String fileName) throws IOException
static void | populateHW (int selectionType, int crossoverType, int mutationType, double mutationRate, int numOfGenerations, int numOfChromozomes, int tournamentSize, String target)

## Detailed Description

Trida ktera obsluhuje chod genetickeho algoritmu.

Author
  nemec

## Member Function Documentation

static void Populate.populateTSP | ( | int | selectionType,
|  | int | crossoverType,
|  | int | mutationType,
|  | double | mutationRate,
|  | int | numOfGenerations,
|  | int | numOfChromozomes,
|  | CityLoader | cityLoader,
|  | TspParser | tspParser,
|  | int | tournamentSize,
|  | String | fileName
| ) |  | throws IOException
| static

Funkce pro chod genetickeho algoritmu podle diagramu: Nova populace->Hodnoceni nove populace->Vytvor novou populaci pomoci selekce, krizeni a mutace->Ohodnot novou populaci

Parameters

  selectionType | Typ selekce 1-Tournament
  crossoverType | Typ krizeni 1-Order one, 2-PMX, 3-Edge Recombination, Default-Order One
  mutationType | Typ mutace 1-Insert 2-Swap 3-Inverse 4-Scramble Default-Insert
  mutationRate | Pravdepodobnost mutace v rozsahu 0.0-1.0
  numOfGenerations | Pocet generaci - pocet iteraci algoritmu
  numOfChromozomes | Pocet chromozomu v populaci
  cityLoader | Objekt CityLoader - Pokud je pouzit tspParser, pak je tuto hodnotu treba nastavit na null
  tspParser | Objekt tspParser - Pokud je pouzit cityLoader, pak je tuto hodnotu treba nastavit na null
  tournamentSize | - Velikost turnaje
  fileName | - Nazev vstupniho souboru

Exceptions

  IOException |

The documentation for this class was generated from the following file:

- src/Populate.java